PUT
/v1/income/{id}
Needs an API key with the update scope.
Path parameters
-
idstring Required
Body parameters
-
invoiceNumberstringInvoice number formatted in string. Accepts alpha numeric characters and '-' symbol.
-
descriptionstringDescription of the income. This will also be its title in the Nuvio Platform.
-
invoiceDatestringThe date of the income. Should be formatted in
YYYY-MM-DDformat. -
dueDatestringDue date of the payment for this income. Should be formatted in
YYYY-MM-DDformat. -
currencystring3-letter currency code. You can find all the available currencies here.
-
projectIdstring32-character unique ID of the related project. If you don't know the ID, you can also provide
projectCodeinstead of this field. If both of them are providedprojectIdwill be used only. -
projectCodestringUser-generated custom code of the related project. If
projectIdis also provided, it will override this field. -
customerIdstring32-character unique ID of the customer. If you don't know the ID, you can also provide
customerCodeinstead of this field. If both of them are provided,customerIdwill be used only. -
customerCodestringUser-generated custom unique code of the specific customer. If
customerIdis also provided, it will override this field. -
tagsarray of stringsList of the tags that are related to this income. Provide a list of tags with their 32-character unique ID.
-
itemsarray of objectsList of the items that are sold in this income. This list will override existing list of items in the updated income. Do not just update 1 item, make sure to include all the items in your request.
Show child parameters Hide child parameters
-
productIdstring32-character unique ID of the product. If you don't know the ID, you can also provide
productCodeinstead of this field. If both of them are provided,productIdwill be used only. -
productCodestringUser-generated custom unique code of the specific product. If
productIdis also provided, it will override this field. -
quantityintegerQuantity of the sold items. It should be a positive integer.
-
itemTaxesarray of stringsA list of the taxes to be applied to the related line item. Provide a list of taxes with their 32-character unique ID.
-
unitPricenumberNet Amount of a single product sold. Should be a positive decimal number with 2 decimal points.
eg. 32.43
-
-
exchangeRatenumberIf currency is different than your company's functional currency, this will be the exchange rate that Nuvio will use while converting the amounts of this expense to company's functional currency. Should be number with 4 decimal points.
eg. 32.4325
Returns
The updated income.
-
401 - No usable
Authorization: Bearer {token}header (1002). -
403 - The access token is unknown, or lacks the scope this route needs (1001).